Subject: Re: FIN> FW: PMP> Add 'percent(19)' to 'PrtCapacityUnitTC' and 'PrtMarkerS uppliesUn itTC'

From: "Harry Lewis" <[email-masked]>
Date: Fri, 15 Dec 2000 14:20:01 -0700

Yea... I know... super way behind on mail. Think I've already seen and 
supported addition of % as a new unit. That's not really a problem in my 
mind. But just catching up to the initial premise that there is a "serious 
problem" which requires this addition. This can easily be expressed 
without %. If you have a max capacity of 500 and you are at 50%, then your 
value is 250. Again, I'm not objecting to adding %, just the premise. 
---------------------------------------------- 
Harry Lewis 
IBM Printing Systems 
---------------------------------------------- 

"Bergman, Ron" <[email-masked]>
Sent by: [email-masked]
11/21/2000 09:40 AM

        To:     "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
        cc: 
        Subject:        FIN> FW: PMP> Add 'percent(19)' to 'PrtCapacityUnitTC' and 'PrtMarkerS 
uppliesUn itTC'

All,

Ira McDonald has proposed the addition of 'percent(19)'
to the textual conventions 'PrtCapacityUnitTC' and
'PrtMarkerSuppliesUnitTC'.

I believe that this can be accomplished during the
RFC Editors cycle.

If anyone has any objections to this new enumeration
please state your reasons before December 18, 2000.

        Ron Bergman
        Hitachi Koki Imaging Solutions

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Friday, November 17, 2000 11:26 AM
To: [email-masked]'; [email-masked]'
Subject: PMP> Add 'percent(19)' to 'PrtCapacityUnitTC' and
'PrtMarkerSuppliesUn itTC'

Hi,

Implementors here at Sharp have found a serious problem with
'prtInputCurrentLevel', 'prtOutputRemainingCapacity' and
'prtMarkerSuppliesLevel'.

Their related units objects need 'percent(19)' added to
allow reporting of RELATIVE levels (often the only
information known from sensors).

- 'PrtCapacityUnitTC' should have 'items(18)' (per Ron B
  and Harry L) and 'percent(19)' added
- 'PrtMarkerSuppliesSupplyUnitTC' should have 'percent(19)'
  added

BOTH of these textual conventions should also have 'other(1)'
and 'unknown(2)' added - this would provide short-term
relief to the NEXT product team that finds a missing unit
AFTER the Printer MIB v2 is published as an RFC.

Cheers,
- Ira McDonald, consulting architect at Sharp
  High North Inc